
package com.lideeyunji.core.framework.config.aspect.enhance.model;

import com.lideeyunji.core.framework.entity.EnhanceJavaEntity;

import java.util.List;

/**
 * @author JX
 * @create 2024-08-15 15:46
 * @dedescription:
 */
public class BuildEnhanceContext {

    private EnhanceContext context;

    private List<EnhanceJavaEntity> entitys;

    private List<EnhanceJavaEntity> alferJavaEntityList;
    public BuildEnhanceContext(EnhanceContext context, List<EnhanceJavaEntity> entitys,List<EnhanceJavaEntity> alferJavaEntityList) {
        this.context = context;
        this.entitys = entitys;
        this.alferJavaEntityList = alferJavaEntityList;
    }

    public EnhanceContext getContext() {
        return context;
    }

    public void setContext(EnhanceContext context) {
        this.context = context;
    }

    public List<EnhanceJavaEntity> getEntitys() {
        return entitys;
    }

    public void setEntitys(List<EnhanceJavaEntity> entitys) {
        this.entitys = entitys;
    }

    public List<EnhanceJavaEntity> getAlferJavaEntityList() {
        return alferJavaEntityList;
    }

    public void setAlferJavaEntityList(List<EnhanceJavaEntity> alferJavaEntityList) {
        this.alferJavaEntityList = alferJavaEntityList;
    }
}
